Skip to content
Snippets Groups Projects
Commit 436ec9f3 authored by Ben Gamari's avatar Ben Gamari Committed by Marge Bot
Browse files

gitlab-ci: Move changelog linting logic to shell script

Allowing it to be easily used locally.
parent 921d3238
No related branches found
No related tags found
No related merge requests found
......@@ -169,11 +169,7 @@ lint-submods-branch:
tags:
- lint
script:
- |
grep TBA libraries/*/changelog.md && (
echo "Error: Found \"TBA\"s in changelogs."
exit 1
) || exit 0
- bash .gitlab/linters/check-changelogs.sh
lint-changelogs:
extends: .lint-changelogs
......
#!/usr/bin/env bash
set -e
COLOR_RED="\e[31m"
COLOR_GREEN="\e[32m"
COLOR_NONE="\e[0m"
grep TBA libraries/*/changelog.md && (
echo -e "${COLOR_RED}Error: Found \"TBA\"s in changelogs.${COLOR_NONE}"
exit 1
)
echo -e "${COLOR_GREEN}changelogs look okay.${COLOR_NONE}"
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment